<%@ page import="org.ow2.bonita.util.BonitaConstants" %>
<%@ page import="org.ow2.bonita.env.GlobalEnvironmentFactory" %>
<%

String msg = "";

final String username = request.getParameter("username");
final String password = request.getParameter("password");

String jaasLoginProp = "java.security.auth.login.config";
String envProp = BonitaConstants.ENVIRONMENT_PROPERTY;

if (System.getProperty(jaasLoginProp) == null) {
  String defaultJaasLogin = this.getClass().getClassLoader().getResource("jaas-standard.cfg").getPath();
  System.setProperty(jaasLoginProp, defaultJaasLogin);
  msg += "No jaas login property (" + jaasLoginProp + ") has been defined. Using by default : " + defaultJaasLogin + "<br>";
}

if (System.getProperty(envProp) == null) {
  String defaultEnv = this.getClass().getClassLoader().getResource(GlobalEnvironmentFactory.DEFAULT_ENVIRONMENT).getPath();
  System.setProperty(envProp, defaultEnv);
  msg += "No environment property (" + envProp + ") has been defined. Using by default : " + defaultEnv + "<br>";
}
%>

<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">
<HTML>
<HEAD><TITLE>Approval Workflow</TITLE></HEAD>
<BODY>
<div align='center'>
<h1>Approval Workflow</h1>
<br><br>
<%=msg %>
<br><br>

<form name='deploy' method='get' action='action.jsp'><br>
Path to Bar File&nbsp;&nbsp;   
<input type='text' name='BarFile'>
<input type='submit' name='deploy' value='Deploy' >
<input type='hidden' name='Action' value='Deploy'>
<input type='hidden' name='username' value='<%=username%>'>
<input type='hidden' name='password' value='<%=password%>'>
</form>

<br><br>

<form name='start' method='get' action='action.jsp'><br>
<input type='submit' name='startyes' value='Start with granted=yes' >
<input type='hidden' name='Action' value='StartYes'>
<input type='hidden' name='username' value='<%=username%>'>
<input type='hidden' name='password' value='<%=password%>'>
</form>

<br><br>

<form name='start' method='get' action='action.jsp'><br>
<input type='submit' name='startno' value='Start with granted=no' >
<input type='hidden' name='Action' value='StartNo'>
<input type='hidden' name='username' value='<%=username%>'>
<input type='hidden' name='password' value='<%=password%>'>
</form>

<br><br>

<form name='delete' method='get' action='action.jsp'><br>
<input type='submit' name='delete' value='Delete' >
<input type='hidden' name='Action' value='Delete'>
<input type='hidden' name='username' value='<%=username%>'>
<input type='hidden' name='password' value='<%=password%>'>
</form>

</div>
</BODY>
</HTML>